package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStorePromTypeDao;
import com.kmall.admin.entity.mk.store.MkStorePromTypeEntity;
import com.kmall.admin.service.mk.store.MkStorePromTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店活动分类表，store promotionService实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-28 14:15:21
 */
@Service("mkStorePromTypeService")
public class MkStorePromTypeServiceImpl implements MkStorePromTypeService {
    @Autowired
    private MkStorePromTypeDao mkStorePromTypeDao;

    @Override
    public MkStorePromTypeEntity queryObject(Integer promTypeId) {
        return mkStorePromTypeDao.queryObject(promTypeId);
    }

    @Override
    public List<MkStorePromTypeEntity> queryList(Map<String, Object> map) {
        return mkStorePromTypeDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStorePromTypeDao.queryTotal(map);
    }

    @Override
    public int save(MkStorePromTypeEntity mkStorePromType) {
        return mkStorePromTypeDao.save(mkStorePromType);
    }

    @Override
    public int update(MkStorePromTypeEntity mkStorePromType) {
        return mkStorePromTypeDao.update(mkStorePromType);
    }

    @Override
    public int delete(Integer promTypeId) {
        return mkStorePromTypeDao.delete(promTypeId);
    }

    @Override
    public int deleteBatch(Integer[]promTypeIds) {
        return mkStorePromTypeDao.deleteBatch(promTypeIds);
    }
}
